import React from 'react'

import Forum from '../components/forum'

import styles from './index.module.css'

export default function Index({
  router,
  globalData,
  globalState,
  setGlobalState,
}) {
  const motd = globalData.motd

  return (
    <Forum
      router={router}
      globalState={globalState}
      setGlobalState={setGlobalState}
      globalData={globalData}
      forumName={'frontpage'}
    >
      {motd && (
        <div className={styles.motd}>
          <div className={styles.title}>MOTD</div>
          {motd ? (
            <div dangerouslySetInnerHTML={{ __html: motd }} />
          ) : (
            <div>...</div>
          )}
        </div>
      )}
    </Forum>
  )
}
